Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.ip2
Class ItemEditor.EditPanel

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ix.iface.util.VerticalPanel
                          ix.ip2.ItemEditor.EditPanel

All Implemented Interfaces:
  AgendaItemListener, java.awt.event.ActionListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  ActivityEditor.ActivityEditPanel, IssueEditor.IssueEditPanel

Enclosing class:
  ItemEditor

    protected abstract class ItemEditor.EditPanel

extends VerticalPanel
implements java.awt.event.ActionListener, AgendaItemListener

Item-editing panel

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes/interfaces inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes/interfaces inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`(package private) int` | `commentRows`
`(package private) javax.swing.JTextArea` | `commentText`
`(package private) AgendaItem` | `editingItem`
`(package private) javax.swing.Box` | `editItemButtons`
`(package private) javax.swing.JTextArea` | `itemText`
`(package private) javax.swing.JButton` | `modifyButton`
`(package private) javax.swing.Box` | `newItemButtons`
`(package private) int` | `textCols`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ItemEditor.EditPanel()`

Method Summary
`abstract void` | `actionPerformed(java.awt.event.ActionEvent e)` Action interpreter.
`(package private) void` | `addItem()` Tells the item viewer to add a new item
`void` | `agendaItemEdited(AgendaItemEvent e)`
`(package private) void` | `copyItem()` Starts editing a new item based on an existing one.
`(package private) void` | `ensureButtons(javax.swing.Box buttons)`
`(package private) AgendaItem` | `getEditingItem()` Returns the item being edited / viewed in the panel, if any.
`(package private) AgendaItem` | `getItem()` Creates an issue or activity from the current state of the panel.
`void` | `handlerActionsChanged(AgendaItemEvent e)`
`protected javax.swing.JButton` | `makeButton(java.lang.String text)`
`protected javax.swing.Box` | `makeLeftLabel(javax.swing.JLabel label)`
`protected javax.swing.Box` | `makeLeftLabel(java.lang.String text)`
`(package private) void` | `modifyItem()` Modifies a existing item.
`void` | `newHandlerAction(AgendaItemEvent e, HandlerAction act)`
`void` | `newReport(AgendaItemEvent e, Report report)`
`void` | `priorityChanged(AgendaItemEvent e)`
`(package private) void` | `setEditingItem(AgendaItem i)` Records an existing item that is being viewed in the panel.
`protected abstract void` | `setUp()`
`(package private) void` | `showItem(AgendaItem i)` Sets up to edit an existing item.
`(package private) void` | `showNewItem()` Sets up to edit a new, initially empty item
`void` | `statusChanged(AgendaItemEvent e)`

Methods inherited from class ix.iface.util.VerticalPanel
`add, add, add, add, add, addFixedHeight`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### textCols

    int textCols

### commentRows

    int commentRows

### itemText

    javax.swing.JTextArea itemText

### commentText

    javax.swing.JTextArea commentText

### modifyButton

    javax.swing.JButton modifyButton

### newItemButtons

    javax.swing.Box newItemButtons

### editItemButtons

    javax.swing.Box editItemButtons

### editingItem

    AgendaItem editingItem

Constructor Detail

### ItemEditor.EditPanel

    ItemEditor.EditPanel()

Method Detail

### setUp

    protected abstract void setUp()

### makeLeftLabel

    protected javax.swing.Box makeLeftLabel(java.lang.String text)

### makeLeftLabel

    protected javax.swing.Box makeLeftLabel(javax.swing.JLabel label)

### makeButton

    protected javax.swing.JButton makeButton(java.lang.String text)

### getEditingItem

    AgendaItem getEditingItem()

  Returns the item being edited / viewed in the panel, if any. If the user is creating a new item, the result will be null;

### setEditingItem

    void setEditingItem(AgendaItem i)

  Records an existing item that is being viewed in the panel. Always call this method rather than directly assigning to the field.

### showItem

    void showItem(AgendaItem i)

  Sets up to edit an existing item.

### showNewItem

    void showNewItem()

  Sets up to edit a new, initially empty item

### ensureButtons

    void ensureButtons(javax.swing.Box buttons)

### actionPerformed

    public abstract void actionPerformed(java.awt.event.ActionEvent e)

  Action interpreter. Note that this object will be wrapped in a CatchingActionListener when used as an ActionListener.

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`
  See Also:
    `CatchingActionListener`

### addItem

    void addItem()

  Tells the item viewer to add a new item

### getItem

    AgendaItem getItem()

  Creates an issue or activity from the current state of the panel.

### modifyItem

    void modifyItem()

  Modifies a existing item.

### copyItem

    void copyItem()

  Starts editing a new item based on an existing one.

### statusChanged

    public void statusChanged(AgendaItemEvent e)

  Specified by:
    `statusChanged` in interface `AgendaItemListener`

### priorityChanged

    public void priorityChanged(AgendaItemEvent e)

  Specified by:
    `priorityChanged` in interface `AgendaItemListener`

### handlerActionsChanged

    public void handlerActionsChanged(AgendaItemEvent e)

  Specified by:
    `handlerActionsChanged` in interface `AgendaItemListener`

### newHandlerAction

    public void newHandlerAction(AgendaItemEvent e,
                                 HandlerAction act)

  Specified by:
    `newHandlerAction` in interface `AgendaItemListener`

### newReport

    public void newReport(AgendaItemEvent e,
                          Report report)

  Specified by:
    `newReport` in interface `AgendaItemListener`

### agendaItemEdited

    public void agendaItemEdited(AgendaItemEvent e)

  Specified by:
    `agendaItemEdited` in interface `AgendaItemListener`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD